[arch-commits] Commit in python-zope-exceptions/repos/community-any (2 files)
Felix Yan
felixonmars at archlinux.org
Sun Apr 23 07:56:51 UTC 2017
Date: Sunday, April 23, 2017 @ 07:56:51
Author: felixonmars
Revision: 224570
archrelease: copy trunk to community-any
Added:
python-zope-exceptions/repos/community-any/PKGBUILD
(from rev 224569, python-zope-exceptions/trunk/PKGBUILD)
Deleted:
python-zope-exceptions/repos/community-any/PKGBUILD
----------+
PKGBUILD | 103 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 52 insertions(+), 51 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2017-04-23 07:56:34 UTC (rev 224569)
+++ PKGBUILD 2017-04-23 07:56:51 UTC (rev 224570)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=('python-zope-exceptions' 'python2-zope-exceptions')
-pkgver=4.0.8
-pkgrel=2
-pkgdesc="Generic exceptions and implementations for Zope"
-arch=('any')
-url="https://github.com/zopefoundation/zope.exceptions"
-license=('ZPL')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
- 'python2-zope-interface' 'git')
-checkdepends=('python-nose' 'python2-nose')
-source=("git+https://github.com/zopefoundation/zope.exceptions.git#tag=$pkgver")
-sha256sums=('SKIP')
-
-prepare() {
- cp -a zope.exceptions{,-py2}
-}
-
-build() {
- cd "$srcdir/zope.exceptions"
- python setup.py build
-
- cd "$srcdir/zope.exceptions-py2"
- python2 setup.py build
-}
-
-check() {
- cd "$srcdir/zope.exceptions"
- nosetests3
-
- cd "$srcdir/zope.exceptions-py2"
- nosetests2
-}
-
-package_python-zope-exceptions() {
- depends=('python-setuptools' 'python-zope-interface')
-
- cd "$srcdir/zope.exceptions"
- python setup.py install --root="$pkgdir/" --optimize=1
-}
-
-package_python2-zope-exceptions() {
- depends=('python2-setuptools' 'python2-zope-interface')
-
- cd "$srcdir/zope.exceptions-py2"
- python2 setup.py install --root="$pkgdir/" --optimize=1
-}
-
-# vim:set ts=2 sw=2 et:
Copied: python-zope-exceptions/repos/community-any/PKGBUILD (from rev 224569, python-zope-exceptions/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2017-04-23 07:56:51 UTC (rev 224570)
@@ -0,0 +1,52 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-exceptions
+pkgname=('python-zope-exceptions' 'python2-zope-exceptions')
+pkgver=4.1.0
+pkgrel=1
+pkgdesc="Generic exceptions and implementations for Zope"
+arch=('any')
+url="https://github.com/zopefoundation/zope.exceptions"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+ 'python2-zope-interface')
+checkdepends=('python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.exceptions/archive/$pkgver.tar.gz")
+sha512sums=('bc4b839c003c7136e3671ebdf5cb0861c1e4ee3b3ce9f8f9fccf2334075b71c5ce49dfe3df323f19c428c754d47b3c3903231ee1f3be6a1b42cf0ed10362c009')
+
+prepare() {
+ cp -a zope.exceptions-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/zope.exceptions-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/zope.exceptions-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/zope.exceptions-$pkgver
+ python setup.py test || :
+
+ cd "$srcdir"/zope.exceptions-$pkgver-py2
+ python2 setup.py test
+}
+
+package_python-zope-exceptions() {
+ depends=('python-setuptools' 'python-zope-interface')
+
+ cd zope.exceptions-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-exceptions() {
+ depends=('python2-setuptools' 'python2-zope-interface')
+
+ cd zope.exceptions-$pkgver-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list